#!/bin/csh -f

# HNCA
# 3D States-Mode HN-Detected Processing.
# First the X (HN) vectors processed and fourier transformed
# After the TP the Y (CO) vectors are processed and transformed
# Note the Y vector imaginaries are not deleted here and no LP is used
# Then the Z vectors (N) are processed and trnasformed after LP
# The Y vectors are read back in and all the processing and transformation is reversed by inv
# The Y vectors are then linear predicted, processed and transformed
# Finally the X vectors are read back in for automated baseline correction
#(-inPlace) HNCA currently hn and HC plane have same phase  hn =-90,  check 3d to confirm that works
# or else try opposite phases HN 90 instead of -90 
# or HN 90 and 180 on CACB 

xyz2pipe -in data/test%03d.fid -x -verb \
| nmrPipe  -fn EXT -time -x1 1 -xn 1024			\
| nmrPipe  -fn POLY -time		\
| nmrPipe  -fn SP -off 0.35 -end 0.95 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -size 2184                                  \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn EXT -x1 483 -xn 955 -sw                            \
| nmrPipe  -fn PS -p0 -53  -p1 0.0 -di               \
| nmrPipe  -fn TP                                   \
#| nmrPipe  -fn LP -ps0-0                                  \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF                                  \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0  		\
| pipe2xyz -out ft/test%03d.ft2 -y -ov

xyz2pipe -in ft/test%03d.ft2 -z -verb               \
| nmrPipe  -fn LP -ps0-0                             \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -size 102                                  \
| nmrPipe  -fn FT -neg                                \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0 -di               \
| nmrPipe  -fn EXT -x1 2 -xn 101 -sw                                   \
| pipe2xyz -out ft/test%03d.ft3 -z -ov 


xyz2pipe -in ft/test%03d.ft3 -y -verb               \
| nmrPipe  -fn PS -p0 0.0 -p1 0.0  			-inv \
| nmrPipe  -fn FT                               	-inv \
| nmrPipe  -fn ZF                               	-inv \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 1 -c 0.5  	-inv \
| nmrPipe  -fn LP -fb                                 \
#| nmrPipe  -fn LP -ps0-0                                  \
| nmrPipe  -fn SP -off 0.5 -end 0.98 -pow 2 -c 0.5  \
| nmrPipe  -fn ZF -size 256                                  \
| nmrPipe  -fn FT                                   \
| nmrPipe  -fn PS -p0 180.0 -p1 0.0  -di		\
| pipe2xyz -out ft/test%03d.ft3 -y -ov -inPlace


xyz2pipe -in ft/test%03d.ft3 -x			\
| nmrPipe  -fn POLY -auto				\
#| nmrPipe  -fn EXT -xn 5.0ppm   -sw                     \
| pipe2xyz -out ft/test%03d.ft3 -x -ov -inPlace


#proj3D.tcl -in ./ft/test%03d.ft3 -xyOutName HNCA_HC_2Dproj.pipe \
#-xzOutName HNCA_HN_2Dproj.pipe -yzOutName HNCA_CN_2Dproj.pipe


